GORMTOOL(1)

NAME
gormtool - access certain Gorm features from the command line

SYNOPSIS
gormtool [options] [input_file]

DESCRIPTION
gormtool allows the user to access certain Gorm features from the command line. It is a "hybrid" GNUstep tool/headless GNUstep application and does not require a X server to run.

OPTIONS

--import-strings-file
    Imports a file in the .strings format and replaces the text in the model file with the mappings. It takes a parameter which is the strings file to be imported.

--export-strings-file
    Exports a .strings file from the model file to the file specified by the parameter.

--import-xliff
    Imports an XLIFF1.2 file into the model file to the file specified by the parameter.

--export-xliff
    Exports an XLIFF1.2 file from the model file to the file specified by the parameter.

--import-class
    Parses the header given by the parameter passed in, it will break any existing connections if the class is instantiated.

--export-class
    Exports the named class (passed in as a parameter) to a file by the same name in the current directory.

--read
    Specifies this file is to be the one read... optional. If not used the last parameter is considered the input file.

--write
    Specifies the output file the model is to be written to.

BUGS AND LIMITATIONS
This tool is currently experimental and bugs are expected. Please report them; thanks.

SEE ALSO
GNUstep(7), Gorm(1)

AUTHORS
gormtool was written by Gregory John Casamento.

This manual page was written by Yavor Doganov <yavor@gnu.org> for the Debian project but it may be used by others.

COPYING
© 2024 Debian GNUstep maintainers

This manual page is distributed under the same license as the gormtool program.